
QGIS Application - Bug report #5779

Error when executing Dissolve

2012-06-10 05:23 PM - Pieter Roggemans

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15273

Description

Getting this error when executing dissolve on a dataset with 124433 features...

Er is een fout opgetreden bij het uitvoeren van Python code:

Traceback (most recent call last):

  File "C:\\PROGRA~2\\Quantum GIS Wroclaw\\apps\\qgis\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 272, in

runRangeFromThread

    self.progressBar.setRange( range_vals[ 0 ], range_vals[ 1 ] )

TypeError: QProgressBar.setRange(int, int): argument 2 has unexpected type 'long'

Python versie:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS versie:

1.7.4-Wroclaw Wroclaw, 411aff6

Python pad: ['C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python', 'C:/Users/Pieter/.qgis/python',

'C:/Users/Pieter/.qgis/python/plugins', 'C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python/plugins',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\qgis\\\\bin',

'C:\\\\PROGRA~2\\\\Quantum GIS Wroclaw\\\\apps\\\\Python27', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\\PROGRA~2\\\\Quantum GIS

Wroclaw\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools', 'C:/Users/Pieter/Desktop/Werk']

History

#1 - 2012-06-11 12:14 AM - Paolo Cavallini

Could you please test it with the upcoming 1.8 version?

Thanks.
#2 - 2012-06-11 06:56 AM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please test it with the upcoming 1.8 version?

Thanks.

and also post a sample of the data to allow replicate the issue.

#3 - 2012-06-11 01:20 PM - Pieter Roggemans

I tested in 1.8, same problem.

Data can be downloaded here:

https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM

#4 - 2012-06-11 03:33 PM - Salvatore Larosa

When you get that error? Start or End of the process?

For me it has same behavior of #3828

#5 - 2012-06-11 03:36 PM - Pieter Roggemans

At the start of the process... after 2 minutes...

#6 - 2012-06-11 03:59 PM - Pieter Roggemans

BTW: running on Windows 7 64 bit...

#7 - 2012-06-12 03:18 AM - Salvatore Larosa

On Linux I don't get any error, but unfortunately 

does not exceed 24 percent after three hours of processing!!!

#8 - 2012-06-12 03:23 AM - Giovanni Manghi

Salvatore Larosa wrote:

On Linux I don't get any error, but unfortunately 

does not exceed 24 percent after three hours of processing!!!

yes this is the problem described in the other dissolve ticket. On GRASS it processes without any problem (and quickly) also huge vectors. SAGA (through
sextante) also finishes the task. The ftools dissolve is not just slow, it doesn't seems to complete the task.

#9 - 2012-09-04 11:51 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 2.0.0

#10 - 2012-12-30 10:22 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #3828

#11 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
